Loading...
Searching...
No Matches
RDKit::Canon::SpecialChiralityAtomCompareFunctor Class Reference

`#include <new_canon.h>`

## Public Member Functions

| SpecialChiralityAtomCompareFunctor ()
| SpecialChiralityAtomCompareFunctor (Canon::canon_atom *atoms, const ROMol &m, const boost::dynamic_bitset<> *atomsInPlay=nullptr, const boost::dynamic_bitset<> *bondsInPlay=nullptr)
int | operator() (int i, int j) const

## Public Attributes

Canon::canon_atom * | dp_atoms {nullptr}
const ROMol * | dp_mol {nullptr}
const boost::dynamic_bitset * | dp_atomsInPlay {nullptr}
const boost::dynamic_bitset * | dp_bondsInPlay {nullptr}

## Detailed Description

Definition at line 135 of file new_canon.h.

## Constructor & Destructor Documentation

## SpecialChiralityAtomCompareFunctor() [1/2]

RDKit::Canon::SpecialChiralityAtomCompareFunctor::SpecialChiralityAtomCompareFunctor | ( |  | ) |

inline

Definition at line 142 of file new_canon.h.

## SpecialChiralityAtomCompareFunctor() [2/2]

RDKit::Canon::SpecialChiralityAtomCompareFunctor::SpecialChiralityAtomCompareFunctor | ( | Canon::canon_atom * | atoms,
|  | const ROMol & | m,
|  | const boost::dynamic_bitset<> * | atomsInPlay = `nullptr`,
|  | const boost::dynamic_bitset<> * | bondsInPlay = `nullptr`
| ) |  |

inline

Definition at line 143 of file new_canon.h.

## Member Function Documentation

## operator()()

int RDKit::Canon::SpecialChiralityAtomCompareFunctor::operator() | ( | int | i,
|  | int | j
| ) |  | const

inline

Definition at line 151 of file new_canon.h.

References PRECONDITION, RDKit::Canon::updateAtomNeighborIndex(), and RDKit::Canon::updateAtomNeighborNumSwaps().

## Member Data Documentation

## dp_atoms

Canon::canon_atom* RDKit::Canon::SpecialChiralityAtomCompareFunctor::dp_atoms {nullptr}

Definition at line 137 of file new_canon.h.

## dp_atomsInPlay

const boost::dynamic_bitset* RDKit::Canon::SpecialChiralityAtomCompareFunctor::dp_atomsInPlay {nullptr}

Definition at line 139 of file new_canon.h.

## dp_bondsInPlay

const boost::dynamic_bitset * RDKit::Canon::SpecialChiralityAtomCompareFunctor::dp_bondsInPlay {nullptr}

Definition at line 140 of file new_canon.h.

## dp_mol

const ROMol* RDKit::Canon::SpecialChiralityAtomCompareFunctor::dp_mol {nullptr}

Definition at line 138 of file new_canon.h.

The documentation for this class was generated from the following file:

- new_canon.h